[SKL] GPU hang with webgl demo

Bug #1486522 reported by Timo Aaltonen on 2015-08-19
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
mesa (Ubuntu)
High
Unassigned
Vivid
High
Timo Aaltonen
mesa-lts-vivid (Ubuntu)
Trusty
High
Unassigned

Bug Description

[Impact]

Mesa 10.5.x suffers from a GPU hang on Skylake HW, bisected fix in 10.6.x:

commit 74fd226e34d0cf5e9ff43174ae69b4a66f5de1ab
Author: Ben Widawsky <email address hidden>
Date: Wed Mar 25 16:52:46 2015 -0700

    i965/skl: Don't use the PMA depth stall workaround

the system freezes soon after, causing loss of data.

[Test Case]

* installl chromium version 41.x (webgl disabled on later versions)
* open https://jbouny.github.io/fft-ocean/
* grab the ship, rotate quickly
* should freeze in a few seconds

[Regression Potential]

* none, it's a gen9 specific workaround

Timo Aaltonen (tjaalton) wrote :

wily has 10.6.3 which includes the commit already

Changed in mesa (Ubuntu):
status: New → Fix Released
Changed in mesa (Ubuntu Vivid):
assignee: nobody → Timo Aaltonen (tjaalton)
importance: Undecided → High
Changed in mesa-lts-vivid (Ubuntu):
status: New → Invalid
Timo Aaltonen (tjaalton) on 2015-08-19
Changed in mesa-lts-vivid (Ubuntu Vivid):
importance: Undecided → High
Changed in mesa (Ubuntu Vivid):
status: New → In Progress
Changed in mesa-lts-vivid (Ubuntu Vivid):
status: New → In Progress

Hello Timo, or anyone else affected,

Accepted mesa into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mesa/10.5.9-2ubuntu1~vivid2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in mesa (Ubuntu Vivid):
status: In Progress → Fix Committed
tags: added: verification-needed
Timo Aaltonen (tjaalton) wrote :

Hello Timo, or anyone else affected,

Accepted mesa-lts-vivid into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mesa-lts-vivid/10.5.9-2ubuntu1~trusty2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in mesa-lts-vivid (Ubuntu Vivid):
status: In Progress → Fix Committed
Changed in mesa (Ubuntu):
importance: Undecided → High
Timo Aaltonen (tjaalton) on 2015-09-01
tags: added: verification-done
removed: verification-needed
no longer affects: mesa (Ubuntu Trusty)
Changed in mesa-lts-vivid (Ubuntu Trusty):
status: New → Fix Committed
no longer affects: mesa-lts-vivid (Ubuntu Vivid)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa-lts-vivid - 10.5.9-2ubuntu1~trusty2

---------------
mesa-lts-vivid (10.5.9-2ubuntu1~trusty2) trusty; urgency=medium

  * Backport vivid package for lts-vivid stack.

mesa (10.5.9-2ubuntu1~vivid2) vivid; urgency=medium

  * skl-dont-use-the-pma-depth-stall-workaround.diff: Fix GPU hangs in
    certain cases. (LP: #1486522)

mesa-lts-vivid (10.5.9-2ubuntu1~trusty1) trusty; urgency=medium

  * Backport vivid package for lts-vivid stack.

mesa (10.5.9-2ubuntu1~vivid1) vivid; urgency=medium

  * Backport to vivid. (LP: #1471213)

 -- Timo Aaltonen <email address hidden> Wed, 19 Aug 2015 21:37:31 +0300

Changed in mesa-lts-vivid (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for mesa-lts-vivid has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa - 10.5.9-2ubuntu1~vivid2

---------------
mesa (10.5.9-2ubuntu1~vivid2) vivid; urgency=medium

  * skl-dont-use-the-pma-depth-stall-workaround.diff: Fix GPU hangs in
    certain cases. (LP: #1486522)

mesa (10.5.9-2ubuntu1~vivid1) vivid; urgency=medium

  * Backport to vivid. (LP: #1471213)

 -- Timo Aaltonen <email address hidden> Wed, 19 Aug 2015 21:32:42 +0300

Changed in mesa (Ubuntu Vivid):
status: Fix Committed → Fix Released
Changed in mesa-lts-vivid (Ubuntu Trusty):
importance: Undecided → High
no longer affects: mesa-lts-vivid (Ubuntu)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers